body {
    font-family: Arial, sans-serif;
    margin: 0;
    background-image: url('../Resources/AshesOfEphtael_thumbnail.png');
    background-size: cover;
    padding: 0;
    background-position: center;
    background-attachment: fixed;
}

header {
    background-color: #333;
    color: white;
    padding: 1em 0;

    text-align: center;
}


nav ul {
    list-style-type: none;

    padding: 0;
}

nav ul li {
    display: inline;
    border-image: url("../Resources/BoxBorderB.png") 4/4px repeat;
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.1);
    padding: 4px 4px;
    margin-right: 8px;
}

nav ul li a {
    color: white;
    text-decoration: none;
}

nav ul li a:hover {
    text-decoration: underline;
}

main section {
    padding: 1em;
    margin-bottom: 10px;
    background-color: #1d1d1d;
    border-image: url("../Resources/InvBoxBorderB.png") 6/4px repeat;

    color: white;
    border-bottom: 1px solid #ddd;
}




/* Dark theme */
main section.light-theme {
    border-image: url("../Resources/InvBoxBorderW.png") 6/4px repeat;
    background-color: #edf8f8;
}


footer {
    background-color: #333;
    color: rgb(155, 155, 155);
    text-align: center;
    padding: 1em 0;
    /* position: fixed; */
    bottom: 0;
    width: 100%;
}


.midpart {
    min-width: 10px;
    max-width: 800px;
    background-color: #333;
    border-image: url("../Resources/BoxBorderB.png") 8/4px repeat;

    color: white;
    margin: auto;
    padding: 20px;
}




.midpart.light-theme {
    background-color: #ddd;
    border-image: url("../Resources/BoxBorder.png") 8/4px repeat;

    color: black;
}

.scaled-logo {
    width: 10%;
    min-width: 100px;
    height: auto;
}

.responsive-image {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.video-container {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
}



.project-container {

    display: flex;
    flex-wrap: wrap;
    /* Allows projects to wrap onto the next line if there isn't enough space */
    gap: 20px;
    /* Space between each project box */
    /* align-items: center; */
}

.project-image-link {
    margin-top: 10px;
    display: inline-block;
    border-image: url("../Resources/BoxBorderB.png") 4/4px repeat;
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.1);
    padding: 8px 8px;
    background-color: #333;

    flex: 1 1 calc(33.3% - 20px);
    /* Adjust the width of each project box (e.g., 33.3% for three projects per row) */
    max-width: auto;
    /* Optional: Sets a maximum width for each project box */
}

.project-image-link img {
    min-width: 226px;
    width: 100%;
    height: auto;
    display: block;
}

.project-image-link h2 {
    padding: 10px 20px;
    font-size: 16px;
    background: #31803e;
    color: white;
    align-self: left;
    text-align: center;
    border: none;
    border-radius: 115px;
    cursor: pointer;
}

.project-image-link i {

    font-size: 15px;
margin-top: 10px;
    color: rgb(133, 134, 127);
    align-self: left;
    text-align: center;
    border: none;

}

.round-button {
    padding: 10px 20px;
    font-size: 16px;
    background: #2cc470;
    color: white;
    align-self: center;
    
    border: none;
    border-radius: 1px;
    cursor: pointer;
}



/* Cube styles */
.cube-container {
    width: 150px;
    height: 150px;
    margin: auto;
    perspective: 600px;
}

.cube {
    padding-top: 50px;
    padding-bottom: 50px;
    position: relative;
    width: inherit;
    height: inherit;
    transform-style: preserve-3d;
    animation: rotateCube 25s infinite linear;
}

.cube .face {
    position: absolute;
    width: inherit;
    height: inherit;
    background-image: url('../Resources/AshesOfEphtael_thumbnail.png');
    background-size: cover;

    border: 1px solid #1b1b1b;
}

.cube .front {
    transform: translateZ(75px);
}

.cube .back {
    transform: rotateY(180deg) translateZ(75px);
}

.cube .right {
    transform: rotateY(90deg) translateZ(75px);
}

.cube .left {
    transform: rotateY(-90deg) translateZ(75px);
}

.cube .top {
    transform: rotateX(90deg) translateZ(75px);
}

.cube .bottom {
    transform: rotateX(-90deg) translateZ(75px);
}

@keyframes rotateCube {
    from {
        transform: rotateX(-20deg) rotateY(0deg);
    }

    to {
        transform: rotateX(-20deg) rotateY(360deg);
    }
}